<template>
  <div v-if="columnList && columnList.length" class="list-winner-section">
    <div class="big-title" v-if="routepathtop">
      <h1>Top Winners</h1>
      <h2>List of winners</h2>
    </div>
    <div v-if="routepath" class="date-picker">
      <!-- <span>Date</span>
      <input class="date-input" type="date" /> -->
    </div>
    <ul class="list">
      <div class="big-title big-title-homepage" v-if="routepath">
        <h1>Top Winners</h1>
        <h2>List of winners</h2>
      </div>
      <li class="list-header">
        <div class="row">
          <div class="col" v-for="(col, indCol) in columnList" :key="indCol">
            <span>{{ col }}</span>
          </div>
        </div>
      </li>
      <div class="list-body notranslate">
        <li v-for="(item, ind) in dataTable" :key="ind">
          <div class="row">
            <div v-for="(col, indCol) in columnList" :key="indCol" class="col" >
              <span v-if="col === 'date'">{{ dataTable[ind][col]|formatDate }}</span>
              <span v-else-if="col !== 'btc' && col !=='bsbt'">{{ dataTable[ind][col] }}</span>
              <div v-else-if="dataTable && dataTable[ind] && dataTable[ind][col]">
                <span v-if="coin === 'btc'">{{ dataTable[ind][col].coin }} BTC</span>
                <span v-else>{{ dataTable[ind][col].coin }} BSBT</span>
                <br />
                <span>{{ dataTable[ind][col].usd }} USD</span>
              </div>
            </div>
          </div>
        </li>
      </div>
    </ul>
    <div class="view-more">
      <button v-if="routepath===true" class="btn-view-more" @click="$router.push('/top-winners').catch(() => {})">MORE</button>
    </div>
  </div>
</template>

<style scoped>
.big-title {
  margin-top: -3rem;
  margin-bottom: 3rem;
}
.list-body {
  height: 460px;
}
@media (max-width: 1025px) {
  .big-title {
    margin-top: unset;
    margin-bottom: 1.5rem;
  }
  .big-title h1 {
    font-size: 45px
  }
}
@media (max-width: 376px) {
  .big-title h1 {
    font-size: 45px
  }
}

</style>

<script>

export default {
  props: {
    columnList: Array,
    dataTable: Array,
    routepath: Boolean,
    routepathtop: Boolean,
    coin: String
  },
  mounted() {
    console.log(this.dataTable);
  },
  data() {
    return {
    }
  },
  
  methods: {
    
  },
};
</script>


